/**
 * Don't judge me world, I threw this together in an afternoon.
 * Give me a week and I will write something so much worse.
 *
 * Love,
 * Sean
 */
* {
    box-sizing: border-box;
}

body, html, img {
    margin: 0;
    padding: 0;
}

body {
    background: rgba(255, 255, 255, 0.3) url('./images/bg.png');
    background-position: center center;
    background-size: cover;
    width: 100%;
    height: 100%;
    background-blend-mode: lighten;
}

#forest {
    height: 100vh;
    display: flex;
    align-self: center;
    justify-self: center;
}

#hut {
    display: grid;
    grid-template-rows: auto 1fr auto;
    grid-template-columns: auto 1fr;
    margin: auto;
    gap: 2rem 1rem;
}

#counter {
    align-self: start;
    justify-self: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 4px;
}

#hi-it-me {
    grid-row-start: 1;
    grid-row-end: 4;
    align-self: center;
    justify-self: center;
}

#hi-it-me img {
    max-width: 450px;
    height: auto;
    padding: 0;
    margin: 0;
    display: block;
    width: 100%;
}

#logo {
    margin: 0;
    padding: 0;
}

#logo img {
    max-width: 550px;
    width: 100%;
    height: auto;
    display: block;
}

#tagline {
    max-width: 500px;
    width: 100%;
    height: auto;
}

#cauldron {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    justify-content: space-between;
    align-self: end;
    height: 100%;
}

#cauldron .ingredient {
    display: flex;
    align-items: start;
    justify-content: start;
}

#cauldron .ingredient:nth-child(1) {
    justify-self: start;
    align-self: start;
}

#cauldron .ingredient:nth-child(2) {
    justify-content: center;
    align-self: end;
}

#cauldron .ingredient:nth-child(3) {
    justify-self: end;
    align-self: start;
}

#cauldron img {
    max-width: 180px;
    height: auto;
    display: block;
    width: 100%;
}

#cauldron a {
    display: block;
}

footer {
    align-self: center;
    justify-self: center;
    grid-column: 2 / 3;
}

footer img {
    width: 100%;
    max-width: 400px;
}

@media screen and (max-width: 1024px) {
    #hut {
        display: grid;
        padding: 20px;
        grid-template-rows: auto auto auto auto;
        grid-template-columns: 1fr;
    }
    #hi-it-me {
        grid-row: auto;
        padding: 0 8%;
    }

    #cauldron {
        align-self: end;
    }
    footer {
        grid-column: auto;
    }
}